diff -urNad mysql-connector-odbc-5.1.13-src/driver/execute.c mysql-connector-odbc-5.1.12-src/driver/execute.c
--- mysql-connector-odbc-5.1.13-src/driver/execute.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/execute.c	2013-01-24 18:58:34.000000000 +0200
@@ -564,28 +564,8 @@
 
                 if (time->fraction)
                 {
-                  char *tmp_buf= buff + length;
-
-                  /* Start cleaning from the end */
-                  int tmp_pos= 9;
-
-                  sprintf(tmp_buf, ".%09d", time->fraction);
-
-                  /*
-                    ODBC specification defines nanoseconds granularity for
-                    the fractional part of seconds. MySQL only supports 
-                    microseconds for TIMESTAMP, TIME and DATETIME.
-
-                    We are trying to remove the trailing zeros because this 
-                    does not really modify the data, but often helps to substitute
-                    9 digits with only 6.
-                  */
-                  while (tmp_pos && tmp_buf[tmp_pos] == '0')
-                  {
-                    tmp_buf[tmp_pos--]= 0;
-                  }
-
-                  length+= tmp_pos + 1;
+                  sprintf(buff + length, ".%09d", time->fraction);
+                  length+= 10;
                 }
 
                 data= buff;
@@ -741,35 +721,19 @@
             {
                 char *to= buff, *from= data;
                 char *end= from+length;
-                char *local_thousands_sep= thousands_sep;
-                char *local_decimal_point= decimal_point;
-                uint local_thousands_sep_length= thousands_sep_length;
-                uint local_decimal_point_length= decimal_point_length;
-
-                if (!stmt->dbc->ds->dont_use_set_locale)
-                {
-                  /* force use of . as decimal point */
-                  local_thousands_sep= ",";
-                  local_thousands_sep_length= 1;
-                  local_decimal_point= ".";
-                  local_decimal_point_length= 1;
-                }
-
                 while ( *from && from < end )
                 {
-                  if ( from[0] == local_thousands_sep[0] && is_prefix(from,local_thousands_sep) )
-                  {
-                    from+= local_thousands_sep_length;
-                  }
-                  else if ( from[0] == local_decimal_point[0] && is_prefix(from,local_decimal_point) )
-                  {
-                    from+= local_decimal_point_length;
-                    *to++='.';
-                  }
-                  else
-                  {
-                *to++= *from++;
-                  }
+                  /* I wonder if following code really respects dont_use_set_locale
+                     and if it does, then how? */
+                    if ( from[0] == thousands_sep[0] && is_prefix(from,thousands_sep) )
+                        from+= thousands_sep_length;
+                    else if ( from[0] == decimal_point[0] && is_prefix(from,decimal_point) )
+                    {
+                        from+= decimal_point_length;
+                        *to++='.';
+                    }
+                    else
+                        *to++= *from++;
                 }
                 if ( to == buff )
                     *to++='0';    /* Fix for empty strings */
diff -urNad mysql-connector-odbc-5.1.13-src/driver/handle.c mysql-connector-odbc-5.1.12-src/driver/handle.c
--- mysql-connector-odbc-5.1.13-src/driver/handle.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/handle.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2001, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2001, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -62,7 +62,6 @@
 
 SQLRETURN SQL_API my_SQLAllocEnv(SQLHENV FAR *phenv)
 {
-  ENV FAR **env= (ENV FAR**) phenv;
 #ifdef _UNIX_
   /* Init thread key just once for all threads */
   pthread_once(&myodbc_thread_key_inited, myodbc_thread_key_create);
@@ -86,7 +85,7 @@
         return SQL_ERROR;
     }
 #endif /* _UNIX_ */
-    pthread_mutex_init(&(*env)->lock,NULL);
+
     return SQL_SUCCESS;
 }
 
@@ -122,8 +121,6 @@
 
 SQLRETURN SQL_API my_SQLFreeEnv(SQLHENV henv)
 {
-    ENV FAR *env= (ENV FAR*) henv;
-    pthread_mutex_destroy(&env->lock);
 #ifndef _UNIX_
     GlobalUnlock(GlobalHandle((HGLOBAL) henv));
     GlobalFree(GlobalHandle((HGLOBAL) henv));
@@ -248,9 +245,7 @@
     dbc->last_query_time= (time_t) time((time_t*) 0);
     dbc->txn_isolation= DEFAULT_TXN_ISOLATION;
     dbc->env= penv;
-    pthread_mutex_lock(&penv->lock);
     penv->connections= list_add(penv->connections,&dbc->list);
-    pthread_mutex_unlock(&penv->lock);
     dbc->list.data= dbc;
     dbc->unicode= 0;
     dbc->ansi_charset_info= dbc->cxn_charset_info= NULL;
@@ -288,9 +283,7 @@
     LIST *ldesc;
     LIST *next;
 
-    pthread_mutex_lock(&dbc->env->lock);
     dbc->env->connections= list_delete(dbc->env->connections,&dbc->list);
-    pthread_mutex_unlock(&dbc->env->lock);
     x_free(dbc->database);
     if (dbc->ds)
       ds_delete(dbc->ds);
@@ -511,10 +504,8 @@
     }
     else
     {
-      if(stmt->result && stmt->result->field_alloc.pre_alloc)
-      {
+      if(stmt->result->field_alloc.pre_alloc)
         free_root(&stmt->result->field_alloc, MYF(0));
-      }
 
       x_free(stmt->result);
     }
@@ -618,14 +609,11 @@
     return set_dbc_error(dbc, "HY001", "Memory allocation error", MYERR_S1001);
 
   desc->exp.dbc= dbc;
-  pthread_mutex_init(&desc->lock, NULL);
 
   /* add to this connection's list of explicit descriptors */
   e= (LIST *) my_malloc(sizeof(LIST), MYF(0));
   e->data= desc;
-  pthread_mutex_lock(&dbc->lock);
   dbc->exp_desc= list_add(dbc->exp_desc, e);
-  pthread_mutex_unlock(&dbc->lock);
 
   *pdesc= desc;
   return SQL_SUCCESS;
@@ -655,9 +643,7 @@
   {
     if (ldesc->data == desc)
     {
-      pthread_mutex_lock(&dbc->lock);
       dbc->exp_desc= list_delete(dbc->exp_desc, ldesc);
-      pthread_mutex_unlock(&dbc->lock);
       x_free(ldesc);
       break;
     }
@@ -675,7 +661,6 @@
     x_free(lstmt);
   }
 
-  pthread_mutex_destroy(&desc->lock);
   desc_free(desc);
   return SQL_SUCCESS;
 }
diff -urNad mysql-connector-odbc-5.1.13-src/driver/options.c mysql-connector-odbc-5.1.12-src/driver/options.c
--- mysql-connector-odbc-5.1.13-src/driver/options.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/options.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2000, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2000, 2011, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -434,15 +434,9 @@
       return set_handle_error(SQL_HANDLE_DBC, hdbc, MYERR_S1000,
                               "Unable to get current catalog", 0);
     }
-    else if (is_connected(dbc))
-    {
-      *char_attr= (SQLCHAR *)(dbc->database ? dbc->database : "null");
-    }
     else
     {
-      return set_handle_error(SQL_HANDLE_DBC, hdbc, MYERR_S1C00,
-                              "Getting catalog name is not supported "\
-                              "before connection is established", 0);
+      *char_attr= (SQLCHAR *)(dbc->database ? dbc->database : "null");
     }
     break;
 
@@ -608,9 +602,7 @@
                 /* otherwise, associate this statement with the desc */
                 LIST *e= (LIST *) my_malloc(sizeof(LIST), MYF(0));
                 e->data= stmt;
-                pthread_mutex_lock(&desc->lock);
                 desc->exp.stmts= list_add(desc->exp.stmts, e);
-                pthread_mutex_unlock(&desc->lock);
               }
 
               desc->desc_type= desc_type;
diff -urNad mysql-connector-odbc-5.1.13-src/driver/transact.c mysql-connector-odbc-5.1.12-src/driver/transact.c
--- mysql-connector-odbc-5.1.13-src/driver/transact.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/transact.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2001, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2000, 2007 MySQL AB, 2009, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -104,12 +105,10 @@
   switch (HandleType) {
   case SQL_HANDLE_ENV:
     henv= (ENV *)Handle;
-    pthread_mutex_lock(&henv->lock);
     for (current= henv->connections; current; current= current->next)
     {
         my_transact((DBC *)current->data, CompletionType);
     }
-    pthread_mutex_unlock(&henv->lock);
     break;
 
   case SQL_HANDLE_DBC:
diff -urNad mysql-connector-odbc-5.1.13-src/driver/unicode.c mysql-connector-odbc-5.1.12-src/driver/unicode.c
--- mysql-connector-odbc-5.1.13-src/driver/unicode.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/unicode.c	2013-01-24 18:58:34.000000000 +0200
@@ -428,20 +428,8 @@
     SQLWCHAR *wvalue;
     SQLINTEGER len= SQL_NTS;
     uint errors;
-    CHARSET_INFO *result_charset_info= dbc->cxn_charset_info;
-
-    /* 
-      When SQLGetConnectAttr is called before connecting the connection
-      is not established yet and its charset is unknown. We assume UTF8
-      as the most suitable charset for the string result.
-    */
-    if(!dbc->cxn_charset_info)
-    {
-      result_charset_info= get_charset_by_csname("utf8", MYF(MY_CS_PRIMARY),
-                                                 MYF(0));
-    }
 
-    wvalue= sqlchar_as_sqlwchar(result_charset_info, char_value,
+    wvalue= sqlchar_as_sqlwchar(dbc->cxn_charset_info, char_value,
                                 &len, &errors);
 
     /* value_max is in bytes, we want it in chars. */
diff -urNad mysql-connector-odbc-5.1.13-src/driver/utility.c mysql-connector-odbc-5.1.12-src/driver/utility.c
--- mysql-connector-odbc-5.1.13-src/driver/utility.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/driver/utility.c	2013-01-24 18:58:34.000000000 +0200
@@ -2275,13 +2275,7 @@
 {
     if ( log_file && query )
     {
-      /*
-        because of bug 68201 we bring the result of time() call
-        to 64-bits in any case
-      */
-      long long time_now= time(NULL);
-
-      fprintf(log_file, "%lld:%s;\n", time_now, query);
+      fprintf(log_file, "%lld:%s;\n", time(NULL), query);
     }
 }
 
diff -urNad mysql-connector-odbc-5.1.13-src/installer/CMakeLists.txt mysql-connector-odbc-5.1.12-src/installer/CMakeLists.txt
--- mysql-connector-odbc-5.1.13-src/installer/CMakeLists.txt	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/installer/CMakeLists.txt	2013-01-24 18:58:34.000000000 +0200
@@ -1,4 +1,4 @@
-# Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2007, 2011, Oracle and/or its affiliates. All rights reserved.
 #
 # The MySQL Connector/ODBC is licensed under the terms of the GPLv2
 # <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -32,36 +32,15 @@
 ADD_EXECUTABLE(myodbc-installer myodbc3i.c)
 
 IF(WIN32)
-  IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib/debug)
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib)
-  ELSEIF(CMAKE_BUILD_TYPE STREQUAL "")
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib/opt)
-    LINK_DIRECTORIES(${MYSQL_DIR}/lib)
-  ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")
-
   TARGET_LINK_LIBRARIES(myodbc-installer myodbc3u ${ODBCLIB} ${ODBCINSTLIB}
       ${MYSQL_CLIENT_LIBS})
-  IF (MYSQLCLIENT_STATIC_LINKING)
-    SET_TARGET_PROPERTIES(myodbc-installer PROPERTIES
-      LINK_FLAGS_DEBUG "/NODEFAULTLIB:LIBCMT"
-      LINK_FLAGS_RELWITHDEBINFO "/NODEFAULTLIB:LIBCMT"
-      LINK_FLAGS_RELEASE "/NODEFAULTLIB:LIBCMT")
-  ENDIF (MYSQLCLIENT_STATIC_LINKING)
-  SET_TARGET_PROPERTIES(myodbc-installer PROPERTIES 
-        LINK_FLAGS "${MYSQLODBCCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}")
 ELSE(WIN32)
   SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${ODBC_LINK_FLAGS}")
-  TARGET_LINK_LIBRARIES(myodbc-installer myodbc3u  
-      ${ODBC_LINK_FLAGS} ${MYSQL_CLIENT_LIBS} ${CMAKE_THREAD_LIBS_INIT} m)
-  SET_TARGET_PROPERTIES(myodbc-installer PROPERTIES 
-        LINK_FLAGS "${MYSQLODBCCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}")
+  TARGET_LINK_LIBRARIES(myodbc-installer myodbc3u ${MYSQL_CLIENT_LIBS} ${CMAKE_THREAD_LIBS_INIT} m)
 ENDIF(WIN32)
 
 IF(MYSQL_CXX_LINKAGE)
-  SET_TARGET_PROPERTIES(myodbc-installer PROPERTIES 
-        LINKER_LANGUAGE CXX
-        COMPILE_FLAGS "${MYSQLODBCCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
+  SET_TARGET_PROPERTIES(myodbc-installer PROPERTIES LINKER_LANGUAGE CXX)
 ENDIF(MYSQL_CXX_LINKAGE)
 
 INSTALL(TARGETS myodbc-installer DESTINATION bin)
diff -urNad mysql-connector-odbc-5.1.13-src/scripts/macosx/postflight.in.cmake mysql-connector-odbc-5.1.12-src/scripts/macosx/postflight.in.cmake
--- mysql-connector-odbc-5.1.13-src/scripts/macosx/postflight.in.cmake	1970-01-01 02:00:00.000000000 +0200
+++ mysql-connector-odbc-5.1.12-src/scripts/macosx/postflight.in.cmake	2013-01-24 18:58:34.000000000 +0200
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Copyright (c) 2007, 2011, Oracle and/or its affiliates. All rights reserved.
+#
+# The MySQL Connector/ODBC is licensed under the terms of the GPLv2
+# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most 
+# MySQL Connectors. There are special exceptions to the terms and 
+# conditions of the GPLv2 as it is applied to this software, see the 
+# FLOSS License Exception
+# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
+#
+# This program is free software; you can redistribute it and/or modify 
+# it under the terms of the GNU General Public License as published 
+# by the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful, but 
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
+
+##############################################################################
+#
+#  Post Install file for MySQL Connector ODBC 5.1
+#
+##############################################################################
+
+# ----------------------------------------------------------------------
+# ENSURE WE HAVE INI FILES
+#
+# Upon a fresh install of OS X these files do not exist. The ODBC Installer
+# library calls should create these files for us when we do stuff like
+# request to register a driver but this does not seem to happen and the
+# request fails. So we we start by making sure we have some, mostly, empty
+# ini files in place before we make installer calls.
+#
+# Also note that there are many places where these ini files *could* go
+# based upon the search algorithm in the default ODBC system or any other
+# ODBC system which may get installed. We choose the following because they
+# seem to be the ones created when we use the standard ODBC Administrator
+# application.
+# ----------------------------------------------------------------------
+
+libdir=/usr/local/lib
+bindir=/usr/local/bin
+
+for admdir in ~/Library/ODBC /Library/ODBC
+do
+  echo "Ensuring $admdir, odbcinst.ini and odbc.ini exists..."
+  if [ ! -d $admdir ] ; then
+      mkdir $admdir
+      chmod 775 $admdir
+      chown root:admin $admdir
+  fi
+
+  if [ ! -f $admdir/odbc.ini ] ; then
+      echo "[ODBC Data Sources]"        > $admdir/odbc.ini
+      echo ""                          >> $admdir/odbc.ini
+      echo "[ODBC]"                    >> $admdir/odbc.ini
+      echo "Trace         = 0"         >> $admdir/odbc.ini
+      echo "TraceAutoStop = 0"         >> $admdir/odbc.ini
+      echo "TraceFile     ="           >> $admdir/odbc.ini
+      echo "TraceLibrary  ="           >> $admdir/odbc.ini
+      chmod 664 $admdir/odbc.ini
+      chown root:admin $admdir/odbc.ini
+  fi
+
+  if [ ! -f $admdir/odbcinst.ini ] ; then
+      echo "[ODBC Drivers]"             > $admdir/odbcinst.ini
+      echo ""                          >> $admdir/odbcinst.ini
+      echo "[ODBC Connection Pooling]" >> $admdir/odbcinst.ini
+      echo "PerfMon    = 0"            >> $admdir/odbcinst.ini
+      echo "Retry Wait = "             >> $admdir/odbcinst.ini
+      chmod 664 $admdir/odbcinst.ini
+      chown root:admin $admdir/odbcinst.ini
+  fi
+done
+
+# ----------------------------------------------------------------------
+# SET USER PERMISSIONS
+#
+# Note that if the Mac OS X "ODBC Administrator" is run before this
+# script, and unlocked (root rights), it would save files in the user
+# area with root permissions, causing trouble later when trying to
+# change user settings without unlocking (root rights).
+# ----------------------------------------------------------------------
+if [ "$USER" -a "$GROUPS" ] ; then
+    chown -R $USER:$GROUPS ~/Library/ODBC
+fi
+
+# ----------------------------------------------------------------------
+# REGISTER THE DRIVER
+# ----------------------------------------------------------------------
+echo "Registering driver..."
+#$bindir/myodbc-installer -a -d -n "MySQL ODBC 5.1 Driver" -t "Driver=$libdir/libmyodbc5.so;Setup=$libdir/libmyodbc3S.so;"
+$bindir/myodbc-installer -a -d -n "MySQL ODBC 5.1 Driver" -t "Driver=$libdir/libmyodbc5.so;"
+
+# ----------------------------------------------------------------------
+# CREATE A SAMPLE DSN
+# ----------------------------------------------------------------------
+echo "Ensuring sample data source name (myodbc) exists..."
+$bindir/myodbc-installer -a -s -n myodbc -t "Driver=MySQL ODBC 5.1 Driver;SERVER=localhost;"
diff -urNad mysql-connector-odbc-5.1.13-src/setupgui/CMakeLists.txt mysql-connector-odbc-5.1.12-src/setupgui/CMakeLists.txt
--- mysql-connector-odbc-5.1.13-src/setupgui/CMakeLists.txt	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/setupgui/CMakeLists.txt	2013-01-24 18:58:34.000000000 +0200
@@ -57,17 +57,6 @@
                       myodbc3u ${ODBCLIB} ${ODBCINSTLIB} ${MYSQL_CLIENT_LIBS}
                       ${PLATFORM_LIBS})
 
-IF (WIN32)
-  IF (MYSQLCLIENT_STATIC_LINKING)
-    SET_TARGET_PROPERTIES(myodbc5S PROPERTIES
-      LINK_FLAGS_DEBUG "/NODEFAULTLIB:LIBCMT"
-      LINK_FLAGS_RELWITHDEBINFO "/NODEFAULTLIB:LIBCMT"
-      LINK_FLAGS_RELEASE "/NODEFAULTLIB:LIBCMT")
-  ENDIF (MYSQLCLIENT_STATIC_LINKING)
-ENDIF (WIN32)
-
 IF(MYSQL_CXX_LINKAGE)
-  SET_TARGET_PROPERTIES(myodbc5S PROPERTIES 
-        LINKER_LANGUAGE CXX
-        COMPILE_FLAGS "${MYSQLODBCCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
+  SET_TARGET_PROPERTIES(myodbc5S PROPERTIES LINKER_LANGUAGE CXX)
 ENDIF(MYSQL_CXX_LINKAGE)
diff -urNad mysql-connector-odbc-5.1.13-src/setupgui/windows/odbcdialogparams.cpp mysql-connector-odbc-5.1.12-src/setupgui/windows/odbcdialogparams.cpp
--- mysql-connector-odbc-5.1.13-src/setupgui/windows/odbcdialogparams.cpp	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/setupgui/windows/odbcdialogparams.cpp	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -314,7 +314,6 @@
   GET_BOOL(CONNECTION_TAB, allow_multiple_statements);
   GET_BOOL(CONNECTION_TAB, clientinteractive);
   GET_BOOL(CONNECTION_TAB, can_handle_exp_pwd);
-  GET_BOOL(CONNECTION_TAB, enable_cleartext_plugin);
 
   getStrFieldData(&params.charset , CONNECTION_TAB, IDC_EDIT_charset);
   getStrFieldData(&params.initstmt, CONNECTION_TAB, IDC_EDIT_initstmt);
@@ -381,7 +380,6 @@
   SET_BOOL(CONNECTION_TAB, allow_multiple_statements);
   SET_BOOL(CONNECTION_TAB, clientinteractive);
   SET_BOOL(CONNECTION_TAB, can_handle_exp_pwd);
-  SET_BOOL(CONNECTION_TAB, enable_cleartext_plugin);
 
   if ( TabCtrl_1.hTabPages[CONNECTION_TAB-1])
   {
diff -urNad mysql-connector-odbc-5.1.13-src/setupgui/windows/odbcdialogparams.rc mysql-connector-odbc-5.1.12-src/setupgui/windows/odbcdialogparams.rc
--- mysql-connector-odbc-5.1.13-src/setupgui/windows/odbcdialogparams.rc	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/setupgui/windows/odbcdialogparams.rc	2013-01-24 18:58:34.000000000 +0200
@@ -145,8 +145,6 @@
 // Second Column
     CONTROL         "Can Handle Expired Password",IDC_CHECK_can_handle_exp_pwd
                     "Button",BS_AUTOCHECKBOX | WS_TABSTOP,125,12,113,10
-    CONTROL         "Enable Cleartext Authentication",IDC_CHECK_enable_cleartext_plugin
-                    "Button",BS_AUTOCHECKBOX | WS_TABSTOP,125,27,113,10
 
 END
 
diff -urNad mysql-connector-odbc-5.1.13-src/setupgui/windows/resource.h mysql-connector-odbc-5.1.12-src/setupgui/windows/resource.h
--- mysql-connector-odbc-5.1.13-src/setupgui/windows/resource.h	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/setupgui/windows/resource.h	2013-01-24 18:58:34.000000000 +0200
@@ -120,7 +120,6 @@
 #define IDC_CHECK_cursor_prefetch_number 10045
 #define IDC_EDIT_cursor_prefetch_number 10046
 #define IDC_CHECK_can_handle_exp_pwd    10047
-#define IDC_CHECK_enable_cleartext_plugin 10048
 #define IDC_BUTTON_TEST                 11014
 #define IDC_BUTTON_HELP                 11015
 #define IDC_STATIC                      -1
diff -urNad mysql-connector-odbc-5.1.13-src/test/CMakeLists.txt mysql-connector-odbc-5.1.12-src/test/CMakeLists.txt
--- mysql-connector-odbc-5.1.13-src/test/CMakeLists.txt	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/CMakeLists.txt	2013-01-24 18:58:34.000000000 +0200
@@ -1,4 +1,4 @@
-# Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2007, 2011, Oracle and/or its affiliates. All rights reserved.
 #
 # The MySQL Connector/ODBC is licensed under the terms of the GPLv2
 # <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -38,33 +38,16 @@
   SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${ODBC_LINK_FLAGS}")
 ENDIF(NOT WIN32)
 
-FOREACH(T my_basics my_blob my_bulk my_catalog1 my_catalog2 my_crash my_curext my_cursor
+FOREACH(T my_basics my_blob my_bulk my_catalog1 my_catalog2 my_curext my_cursor
 		my_datetime my_desc my_dyn_cursor my_error my_info my_keys my_param
-		my_prepare my_relative my_result1 my_result2 my_scroll my_setup my_tran
+		my_prepare my_relative my_result1 my_result2 my_scroll my_tran
 		my_types my_unicode my_unixodbc my_use_result my_bug13766)
 	ADD_EXECUTABLE(${T} ${T}.c)
 
-  IF(MYSQL_CXX_LINKAGE)
-    SET_TARGET_PROPERTIES(${T} PROPERTIES 
-          LINKER_LANGUAGE CXX
-          LINK_FLAGS "${MYSQLODBCCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
-          COMPILE_FLAGS "${MYSQLODBCCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
-  ENDIF(MYSQL_CXX_LINKAGE)
-
-  INSTALL(TARGETS ${T} DESTINATION test COMPONENT tests)
-  SET_TARGET_PROPERTIES(${T} PROPERTIES 
-      LINK_FLAGS "${MYSQLODBCCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}")
+    INSTALL(TARGETS ${T} DESTINATION test COMPONENT tests)
 
 	IF(WIN32)
-    IF (MYSQLCLIENT_STATIC_LINKING)
-      SET_TARGET_PROPERTIES(${T} PROPERTIES
-        LINK_FLAGS_DEBUG "/NODEFAULTLIB:LIBCMT"
-        LINK_FLAGS_RELWITHDEBINFO "/NODEFAULTLIB:LIBCMT"
-        LINK_FLAGS_RELEASE "/NODEFAULTLIB:LIBCMT")
-    ENDIF (MYSQLCLIENT_STATIC_LINKING)
 	  TARGET_LINK_LIBRARIES(${T} ${ODBCLIB} ${ODBCINSTLIB})
-  ELSE(WIN32)
-    TARGET_LINK_LIBRARIES(${T} ${ODBC_LINK_FLAGS} ${ODBCINSTLIB})
 	ENDIF(WIN32)
 	
 	ADD_TEST(${T} ${T})
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_basics.c mysql-connector-odbc-5.1.12-src/test/my_basics.c
--- mysql-connector-odbc-5.1.13-src/test/my_basics.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_basics.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -1129,126 +1129,6 @@
 }
 
 
-/*
-  Bug#45378 - Crash in SQLSetConnectAttr
-*/
-DECLARE_TEST(t_bug63844)
-{
-  SQLHDBC hdbc1;
-  SQLCHAR *DatabaseName = mydb;
-
-  /* 
-    We are not going to use alloc_basic_handles() for a special purpose:
-    SQLSetConnectAttr() is to be called before the connection is made
-  */  
-  ok_env(henv, SQLAllocHandle(SQL_HANDLE_DBC, henv, &hdbc1));
-
-  ok_con(hdbc1, SQLSetConnectAttr(hdbc1, SQL_ATTR_CURRENT_CATALOG,
-                                  DatabaseName, strlen(DatabaseName)));
-
-  /* The driver crashes here on getting connected */
-  ok_con(hdbc1, get_connection(&hdbc1, NULL, NULL, NULL, NULL, NULL));
-
-  ok_con(hdbc1, SQLDisconnect(hdbc1));
-  ok_con(hdbc1, SQLFreeConnect(hdbc1));
-
-  return OK;
-}
-
-
-/*
-  Bug#52996 - DSN connection parameters override those specified in the 
-  connection string
-*/
-DECLARE_TEST(t_bug52996)
-{
-  int res= OK;
-
-  /* TODO: remove #ifdef _WIN32 when Linux and MacOS setup is released */
-#ifdef _WIN32
-  int i, len;
-  SQLCHAR attrs[8192];
-  SQLCHAR drv[128];
-  SQLINTEGER row_count= 0;
-  DECLARE_BASIC_HANDLES(henv1, hdbc1, hstmt1);
-
-  ok_sql(hstmt, "DROP TABLE IF EXISTS bug52996");
-  ok_sql(hstmt, "CREATE TABLE bug52996 (id int primary key, c1 int)");
-  ok_sql(hstmt, "INSERT INTO bug52996 (id, c1) VALUES "\
-                 "(1,1),(2,2),(3,3)");
-
-  /* 
-    Use ';' as separator because sprintf doesn't work after '\0'
-    The last attribute in the list must end with ';'
-  */
-
-  sprintf((char*)attrs, "DSN=bug52996dsn;SERVER=%s;USER=%s;PASSWORD=%s;"
-                          "DATABASE=%s;FOUND_ROWS=1;",
-                          myserver, myuid, mypwd, mydb);
-
-  len= strlen(attrs);
-  
-  /* replacing ';' by '\0' */
-  for (i= 0; i < len; ++i)
-  {
-    if (attrs[i] == ';')
-      attrs[i]= '\0';
-  }
-
-  /* Adding the extra string termination to get \0\0 */
-  attrs[i]= '\0';
-
-  if (mydriver[0] == '{')
-  {
-    /* We need to remove {} in the driver name or it will not register */
-    len= strlen(mydriver);
-    memcpy(drv, mydriver+1, sizeof(SQLCHAR)*(len-2));
-    drv[len-2]= '\0';
-  }
-  else
-  {
-    memcpy(drv, mydriver, sizeof(SQLCHAR)*len);
-    drv[len]= '\0';
-  }
-
-  /* 
-    Trying to remove the DSN if it is left from the previous run, 
-    no need to check the result
-  */
-  SQLConfigDataSource(NULL, ODBC_REMOVE_DSN, drv, "DSN=bug52996dsn\0\0");
-
-  /* Create the DSN */
-  ok_install(SQLConfigDataSource(NULL, ODBC_ADD_DSN, drv, attrs));
-
-  /* Connect using the new DSN and override FOUND_ROWS option in DSN */
-  is(OK == alloc_basic_handles_with_opt(&henv1, &hdbc1, &hstmt1, 
-                               "bug52996dsn",
-                               NULL, NULL, NULL, "FOUND_ROWS=0"));
-
-  /* Check the affected tows */
-  ok_sql(hstmt1, "UPDATE bug52996 SET c1=3 WHERE id < 4 ");
-  ok_stmt(hstmt1, SQLRowCount(hstmt1, &row_count));
-
-  if(row_count != 2)
-  {
-    /* We don't want to return immediately before clean up DSN and table */
-    res= FAIL;
-  }
-
-  ok_stmt(hstmt, SQLFreeStmt(hstmt, SQL_CLOSE));
-  ok_con(hdbc1, SQLDisconnect(hdbc1));
-
-  free_basic_handles(&henv1, &hdbc1, &hstmt1);
-
-  ok_sql(hstmt, "DROP TABLE bug52996");
-
-  ok_install(SQLConfigDataSource(NULL, ODBC_REMOVE_DSN, drv, "DSN=bug52996dsn\0\0"));
-#endif
-
-  return res;
-}
-
-
 BEGIN_TESTS
   ADD_TEST(my_basics)
   ADD_TEST(t_max_select)
@@ -1277,8 +1157,6 @@
   ADD_TEST(t_bug44971)
   ADD_TEST(t_bug48603)
   ADD_TEST(t_bug45378)
-  ADD_TEST(t_bug63844)
-  ADD_TEST(t_bug52996)
 END_TESTS
 
 
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_bug13766.c mysql-connector-odbc-5.1.12-src/test/my_bug13766.c
--- mysql-connector-odbc-5.1.13-src/test/my_bug13766.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_bug13766.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007 MySQL AB, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_bulk.c mysql-connector-odbc-5.1.12-src/test/my_bulk.c
--- mysql-connector-odbc-5.1.13-src/test/my_bulk.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_bulk.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2007 MySQL AB, 2008, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_catalog1.c mysql-connector-odbc-5.1.12-src/test/my_catalog1.c
--- mysql-connector-odbc-5.1.13-src/test/my_catalog1.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_catalog1.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_catalog2.c mysql-connector-odbc-5.1.12-src/test/my_catalog2.c
--- mysql-connector-odbc-5.1.13-src/test/my_catalog2.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_catalog2.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -1056,33 +1056,6 @@
 }
 
 
-/* 
-  Bug #69448 MySQL ODBC drivers incorrectly quotes TableName when 
-  calling SQLPrimaryKeys
-*/
-DECLARE_TEST(t_bug69448)
-{
- 
-  SQLCHAR buff[255];
-
-  ok_sql(hstmt, "DROP TABLE IF EXISTS `table``69448`");
-
-  ok_sql(hstmt, "CREATE TABLE `table``69448`(id int primary key)");
-
-  ok_stmt(hstmt, SQLPrimaryKeys(hstmt, NULL, SQL_NTS, NULL, SQL_NTS, 
-                               "table`69448", SQL_NTS));
-
-  ok_stmt(hstmt, SQLFetch(hstmt));
-
-  /* check the table name and PK name */
-  is_str(my_fetch_str(hstmt, buff, 3), "table`69448", 11);
-  is_str(my_fetch_str(hstmt, buff, 4), "id", 2);
-
-  ok_sql(hstmt, "DROP TABLE IF EXISTS `table``69448`");
-  return OK;
-}
-
-
 BEGIN_TESTS
   ADD_TEST(t_bug37621)
   ADD_TEST(t_bug34272)
@@ -1100,7 +1073,6 @@
   ADD_TEST(t_bug14085211_part1)
   ADD_TODO(t_bug14085211_part2)
   ADD_TEST(t_sqlcolumns_after_select)
-  ADD_TODO(t_bug69448)
 END_TESTS
 
 myoption &= ~(1 << 30);
